*{
    margin: 0;
    padding: 0;
}
body{
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background-color: #1f1f1f;
}
footer{
    background-color: #555555;
    width: 100%;
    margin-top: auto;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
footer > p{
    align-content: center;
    margin: 5px;
}
footer > span{
    margin: 5px;
}
div.the-machine{
    background: grey;
    margin: 20px;
    width: 900px;
    height: 90vh;
    max-height: 506px;
    display: flex;
    flex-flow: row wrap;
    border: 5px solid darkgrey;
    border-radius: 5px;
}
h1{
    text-align: center;
    color: #f1f1f1;
    margin-top: 20px;
}
div{
    border-radius: 3px solid black;
}
section{
    display: flex;
    flex-flow: row wrap;
    width: 100%;
}
div.buttons {
    padding: 10px;
    max-width: 55%;
    align-items: center;
    justify-content: center;
    align-content: center;
}
div.checkboxes{
    padding: 5px;
    border: 5px solid darkgrey;
    width: 222px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}
div.checkboxes > h2{
    text-align: center;
}
div.selectors{
    min-width: 200px;
    padding: 5px;
    border: 5px solid darkgrey;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
div.selectors > label{
    padding-top: 25px;
}
div.buttons{
    padding: 5px;
    border: 5px solid darkgrey;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    align-items: stretch;
}
div.screen-outer{
    border: 5px solid darkgrey;
    background: radial-gradient(grey,#1f1f1f);
    height: 320px;
    width: 320px;
}
div.screen-inner{
    display: flex;
    background: greenyellow;
    border: 5px solid green;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    text-align: center;
    font-size: 13px;
}
div.screen-glow{
    display: flex;
    background: rgb(147, 219, 38);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    text-align: center;
    animation-name: screenGlow;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: cubic-bezier(0,.22,.69,1.14);
}
div.launch{
    border: 5px solid darkgrey;
    width: 25%;
    display: flex;
    flex-direction: column;
}

div.launch > button{
    align-self: center;
    justify-self: center;
    margin-top: 10px;
}
div.game-controls{
    border: 5px solid darkgrey;
    width: 20%;
    display: flex;
    flex-direction: column;
}
div.game-controls > button{
    margin: 7px
}
div.game-controls > span{
    margin-left: 5px;
}
div.radios{
    border: 5px solid darkgrey;
    text-align: center;
}
div.screen-glow > h3{
    align-self: center;
    justify-self: flex-end;
}
@keyframes screenGlow{
    0% {opacity: 80%}
    25% {opacity: 87%}
    27% {opacity: 80%}
    30% {opacity: 70%}
    50% {opacity: 75%}
    60% {opacity: 77%}
    75% {opacity: 85%}
    80% {opacity: 90%}
    90% {opacity: 85%}
    100% {opacity: 81%}
}